@echo off
Rem ***************************************************************
Rem Copyright (C) heinz. All rights reserved.
Rem
Rem Description:
Rem switch between:
Rem "Parallel Studio"
REm "Parallel Studio 2011 beta"
Rem "Intel Compiler Suite"
Rem "Intel Fortran Compiler"
Rem you can get help by type: swps /?
Rem ***************************************************************
echo ******************************************************************
echo switch developer env to:  PS2011 ^| PS ^| ICS ^| IFS
echo PS2011="Parallel Studio 2011"
echo PS="Parallel Studio"
echo ICS="Intel Compiler Suite Pro"
echo IFS="Intel Fortran Compiler Suite"
echo callsample: swps PS2011 ia32_intel64 VS2008
echo defaults are PS2011 ia32 VS2008
echo PS2011 support VS2010
echo "Paralle Studio update5" does not support VS2010 
echo ******************************************************************
echo.
:arg1
:: default = PS2011
if "%1"=="/?" goto usage
::echo parse arg1
if "%1"=="" (
    echo arg1 blank
    set PS_VAR=PS2011
    goto arg2
)
if /i %1==PS2011 (
    echo arg1 PS2011
    set PS_VAR=PS2011
    goto arg2
)
if /i %1==PS (
    echo arg1 PS
    set PS_VAR=PS
    goto arg2
)
if /i %1==ICS (
    echo arg1 ICS
    set PS_VAR=ICS
    goto arg2
)
if /i %1==IFS (
    echo arg1 IFS
    set PS_VAR=IFS
    goto arg2
)
echo ERROR: unknown argument "%1"
goto usage

:arg2
::target arch, default = ia32
::echo parse arg2
if "%2"=="" (
    echo arg2 blank
    set OS_VAR=ia32
    goto arg3
)
if /i %2==ia32 (
    echo arg2 ia32
    set OS_VAR=ia32
    goto arg3
)
if /i %2==ia32_intel64 (
    echo arg2 ia32_intel64
    set OS_VAR=ia32_intel64
    goto arg3
)
if /i %2==intel64 (
    echo arg2 intel64
    set OS_VAR=intel64
    goto arg3
)
if /i %2==ia32_ia64 (
    echo arg2 ia32_ia64
    set OS_VAR=ia32_ia64
    goto arg3
)
if /i %2==ia64 (
    echo arg2 ia64
    set OS_VAR=ia64
    goto arg3
)
echo ERROR: unknown argument "%2"
goto usage

:arg3
:: VS ver, default = max(existing())
::echo parse arg3
if "%3"=="" (
    echo arg3 blank
    set VS_VAR=vs2008
    goto calls
)
if /i %3==VS2010 (
    echo arg3 VS2010
    set VS_VAR=vs2010
    goto calls
)
if /i %3==VS2008 (
    echo arg3 VS2008
    set VS_VAR=vs2008
    goto calls
)
if /i %3==VS2005 (
    echo arg3 VS2005
    set VS_VAR=vs2005
    goto calls
)
echo ERROR: unknown argument "%3"
goto usage

:calls
:: calls of products .bat-s
::echo parse calls
if %PS_VAR%==PS2011 (
    cd\
    cd "%PS2011_DIR%"
    echo ips-vars.cmd %OS_VAR% %VS_VAR% 
    CALL ips-vars.cmd %OS_VAR% %VS_VAR%
    exit /B 0
)
if %PS_VAR%==PS (
    cd\
    cd "%PS_DIR%"
    echo ips-vars.cmd %OS_VAR% %VS_VAR% 
    CALL ips-vars.cmd %OS_VAR% %VS_VAR%
    exit /B 0
)
if %PS_VAR%==ICS (
    cd\
    cd "%ICS_DIR%"
    echo iclvars.bat %OS_VAR% %VS_VAR% 
    CALL iclvars.bat %OS_VAR% %VS_VAR%
    exit /B 0
)
if %PS_VAR%==IFS (
    cd\
    cd "%IFS_DIR%"
    echo ifortvars.bat %OS_VAR% %VS_VAR% 
    CALL ifortvars.bat %OS_VAR% %VS_VAR%
    exit /B 0
)

:usage
echo USAGE:
echo %0 arg1 arg2 arg3
echo arg1: PS2011 ^| PS ^| ICS ^| IFS
echo arg2: ia32 ^| ia32_intel64 ^| intel64 ^| ia32_ia64 ^| ia64
echo arg3: VS2010 ^| VS2008 ^| VS2005
echo ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo PS2011 support VS2010
echo PS update5 dosn't support VS2010
echo. 
exit /B 1
    